| Version: 3.0.4

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxHtmlRenderingState Class Reference
Class List by Category » HTML

`#include <wx/html/htmlcell.h>`

## Detailed Description

Selection state is passed to wxHtmlCell::Draw so that it can render itself differently e.g.

when inside text selection or outside it.

##

Library: wxHTML
Category: HTML

## Public Member Functions

| wxHtmlRenderingState ()
void | SetSelectionState (wxHtmlSelectionState s)
wxHtmlSelectionState | GetSelectionState () const
void | SetFgColour (const wxColour &c)
const wxColour & | GetFgColour () const
void | SetBgColour (const wxColour &c)
const wxColour & | GetBgColour () const
void | SetBgMode (int m)
int | GetBgMode () const

## Constructor & Destructor Documentation

wxHtmlRenderingState::wxHtmlRenderingState | ( |  | ) |

## Member Function Documentation

const wxColour& wxHtmlRenderingState::GetBgColour | ( |  | ) | const

int wxHtmlRenderingState::GetBgMode | ( |  | ) | const

const wxColour& wxHtmlRenderingState::GetFgColour | ( |  | ) | const

wxHtmlSelectionState wxHtmlRenderingState::GetSelectionState | ( |  | ) | const

void wxHtmlRenderingState::SetBgColour | ( | const wxColour & | c | ) |

void wxHtmlRenderingState::SetBgMode | ( | int | m | ) |

void wxHtmlRenderingState::SetFgColour | ( | const wxColour & | c | ) |

void wxHtmlRenderingState::SetSelectionState | ( | wxHtmlSelectionState | s | ) |